# doPokemonTransformationSequence | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function doPokemonTransformationSequence

- doPokemonTransformationSequence(
  previousPokemon: PlayerPokemon ,
  transformPokemon: PlayerPokemon ,
  screenPosition: TransformationScreenPosition ,
  ): Promise<void>

  Initiates an "evolution-like" animation to transform a previousPokemon (presumably from the player's party) into a new one, not necessarily an evolution species.

  #### Parameters

  - previousPokemon: PlayerPokemon
  - transformPokemon: PlayerPokemon
  - screenPosition: TransformationScreenPosition

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-transformation-sequence.ts:20